2009-10-16 12:37:34     uclinux-dist>make fails

Document created by Aaronwu Employee on Aug 19, 2013
Version 1Show Document
  • View in full screen mode

2009-10-16 12:37:34     uclinux-dist>make fails

Jere Mäkelä (FINLAND)

Message: 81365   

 

OS: CentOS 5.3

 

uclinux version 2009R1.

 

uclinux-dist>make clean

 

uclinux-dist>make menuconfig (all defaults)

 

uclinux-dist>make fails:

 

 

 

 

 

compr_lzo.c: At top level:

compr_lzo.c:84: warning: initialization discards qualifiers from pointer target type

compr_lzo.c: In function ‘jffs2_lzo_init’:

compr_lzo.c:95: error: ‘LZO1X_999_MEM_COMPRESS’ undeclared (first use in this function)

make[4]: *** [/root/Blackfin/uclinux-dist/user/mtd-utils/build-606f38a2221648ca5c5fa292c9f71d2ddd59fa66-host/compr_lzo.o] Error 1

make[4]: Leaving directory `/root/Blackfin/uclinux-dist/user/mtd-utils/606f38a2221648ca5c5fa292c9f71d2ddd59fa66'

make[3]: *** [all] Error 2

make[3]: Leaving directory `/root/Blackfin/uclinux-dist/user/mtd-utils'

make[2]: *** [mtd-utils] Error 2

make[2]: Leaving directory `/root/Blackfin/uclinux-dist/user'

make[1]: *** [all] Error 2

make[1]: Leaving directory `/root/Blackfin/uclinux-dist/user'

make: *** [subdirs] Error 1

QuoteReplyEditDelete

 

 

2009-10-16 12:38:44     Re: uclinux-dist>make fails

Jere Mäkelä (FINLAND)

Message: 81366   

 

target: bf537 stamp

QuoteReplyEditDelete

 

 

2009-10-16 17:27:58     Re: uclinux-dist>make fails

Mike Frysinger (UNITED STATES)

Message: 81369   

 

you havent installed all the required packages on your host (like the lzo devel package).  please read the documentation:

http://docs.blackfin.uclinux.org/doku.php?id=installing_linux

QuoteReplyEditDelete

 

 

2009-10-17 09:05:53     Re: uclinux-dist>make fails

Jere Mäkelä (FINLAND)

Message: 81396   

 

I can't configure my Linux. I have CentOS 5.3.

 

The instructions on: http://docs.blackfin.uclinux.org/doku.php?id=installing_linux

 

don't work on my workstation. I am not even sure if apt-get should work on CentOS.

 

Can you help?

 

 

 

[root@localhost ~]# apt-get upgrade

Reading Package Lists... Done

Building Dependency Tree... Done

0 upgraded, 0 newly installed, 0 removed and 0 not upgraded.

 

 

[root@localhost ~]# apt-get install autoconf automake bash binutils bison bzip2 \

>    coreutils flex gawk gcc gettext grep intltool iputils-ping libtool libz-dev \

>    linux-libc-dev liblzo1 liblzo-dev liblzo2-dev liblzo2-2 libncurses5        \

>    libncurses5-dev m4 make pax-utils pkg-config rpm texinfo zlib1g zlib1g-dev

Reading Package Lists... Done

Building Dependency Tree... Done

autoconf is already the newest version.

automake is already the newest version.

bash is already the newest version.

binutils is already the newest version.

bison is already the newest version.

bzip2 is already the newest version.

coreutils is already the newest version.

flex is already the newest version.

gawk is already the newest version.

gcc is already the newest version.

gettext is already the newest version.

grep is already the newest version.

intltool is already the newest version.

E: Couldn't find package iputils-ping

 

 

[root@localhost ~]# apt-get install libgmp3-dev libmpfr-dev

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package libgmp3-dev

 

 

[root@localhost ~]# apt-get install libx11-dev

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package libx11-dev

 

 

[root@localhost ~]# apt-get install g++ qt3-apps-dev libgtk2.0-dev libglade2-dev

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package g

 

 

[root@localhost ~]# apt-get install libusb-dev libftdi-dev

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package libusb-dev

 

 

[root@localhost ~]# apt-get install bc dejagnu expect psmisc rsh-client xvfb

Reading Package Lists... Done

Building Dependency Tree... Done

bc is already the newest version.

dejagnu is already the newest version.

expect is already the newest version.

psmisc is already the newest version.

E: Couldn't find package rsh-client

 

 

[root@localhost ~]# apt-get install ckermit diffstat ftp lrzsz mailx minicom \

>              rsh-client ssh subversion tftpd tftp tree vim xinetd patch

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package ckermit

 

 

[root@localhost ~]#

QuoteReplyEditDelete

 

 

2009-10-17 09:53:29     Re: uclinux-dist>make fails

Jere Mäkelä (FINLAND)

Message: 81397   

 

Trying with yum install gives:

 

 

 

[root@localhost ~]# yum install autoconf automake bash binutils bison bzip2 coreutils flex gawk gcc gettext grep intltool iputils-ping libtool libz-dev linux-libc-dev liblzol liblzo-dev liblzo2-dev liblzo2-2 libncurses5 libncurses5-dev m4 make pax-utils pkg-config rpm texinfo zliblg zliblg-dev

...

 

No package iputils-ping available.

No package pax-utils available.

No package pkg-config available.

No package zliblg available.

No package zliblg-dev available.

 

[root@localhost ~]# yum install libgmp3-dev libmpfr-dev

 

...

No package libgmp3-dev available.

No package libmpfr-dev available.

 

[root@localhost ~]# yum install libx11-dev

...

No package libx11-dev available.

 

[root@localhost ~]# yum install g++ qt3-apps-dev libgtk2.0-dev libglade2-dev

...

No package g++ available.

No package qt3-apps-dev available.

No package libgtk2.0-dev available.

No package libglade2-dev available.

 

[root@localhost ~]# yum install libusb-dev libftdi-dev

...

No package libusb-dev available.

No package libftdi-dev available.

 

[root@localhost ~]# yum install bc dejagnu expect psmisc rsh-client xvfb

...

No package rsh-client available.

No package xvfb available.

 

[root@localhost ~]# yum install ckermit diffstat ftp lrzsz mailx minicom rsh-client ssh subversion tftpd tftp tree vim xinetd patch

...

No package ckermit available.

No package rsh-client available.

No package ssh available.

No package tftpd available.

No package vim available.

 

[root@localhost ~]#

QuoteReplyEditDelete

 

 

2009-10-17 13:00:03     Re: uclinux-dist>make fails

Robin Getz (UNITED STATES)

Message: 81399   

 

Jere:

 

Please re-read the note on the installing linux page.

 

Please understand that while we attempt to help everyone, there are many things about setting up a development host that are outside the scope of assistance we can offer. If you are having a host side problem - go ask your Linux distribution vendor - not us. If you are having a problem on the target - then we will be glad to attempt to solve the issue.

 

-Robin

QuoteReplyEditDelete

 

 

2009-10-19 05:29:28     Re: uclinux-dist>make fails

Jere Mäkelä (FINLAND)

Message: 81430   

 

I hope you guys make configuration instructions also for RedHat/Fedora/CentOS since that is also a major distro.

 

Jere

Attachments

    Outcomes